OCF_HEARTBEAT_IPV6AD(7)

NAME
ocf_heartbeat_IPv6addr - Manages IPv6 aliases

SYNOPSIS

IPv6addr [start | stop | status | monitor | meta-data | validate-all]

DESCRIPTION

This script manages IPv6 alias IPv6 addresses,It can add an IP6 alias, or remove one.

SUPPORTED PARAMETERS

ipv6addr
    The IPv6 address this RA will manage

    (required, string, no default)

cidr_netmask
    The netmask for the interface in CIDR format. (ie, 24). The value of this parameter overwrites the value of _prefix_ of ipv6addr parameter.

    (optional, string, no default)

nic
    The base network interface on which the IPv6 address will be brought online.

    (optional, string, no default)

SUPPORTED ACTIONS

This resource agent supports the following actions (operations):

start
    Starts the resource. Suggested minimum timeout: 15s.

stop
    Stops the resource. Suggested minimum timeout: 15s.

status
    Performs a status check. Suggested minimum timeout: 15s. Suggested interval: 15s.

monitor
    Performs a detailed status check. Suggested minimum timeout: 15s. Suggested interval: 15s.

validate-all
    Performs a validation of the resource configuration. Suggested minimum timeout: 5s.

meta-data
    Retrieves resource agent metadata (internal use only). Suggested minimum timeout: 5s.

EXAMPLE CRM SHELL

The following is an example configuration for a IPv6addr resource using the crm(8) shell:

    primitive p_IPv6addr ocf:heartbeat:IPv6addr \
      params \
        ipv6addr=string \
      op monitor timeout="15s" interval="15s"

EXAMPLE PCS

The following is an example configuration for a IPv6addr resource using pcs(8)

    pcs resource create p_IPv6addr ocf:heartbeat:IPv6addr \
      ipv6addr=string \
      op monitor timeout="15s" interval="15s"

SEE ALSO

http://clusterlabs.org/

AUTHOR

ClusterLabs contributors (see the resource agent source for information about individual authors)